Lingxing
切换旧版

查询FBA库存列表

POST/erp/sc/routing/fba/fbaStock/fbaList

支持查询FBA库存,对应系统【仓库】>【FBA库存明细】数据

接口信息

API Path请求协议请求方式令牌桶容量
/erp/sc/routing/fba/fbaStock/fbaListHTTPSPOST3

请求参数

sidstring必填
店铺id,多个使用英文逗号分隔 ,对应查询亚马逊店铺列表接口对应字段【sid】
offsetinteger
分页偏移量,默认0
lengthinteger
分页长度,默认15

请求cURL示例

curl --location 'https://openapi.lingxing.com/erp/sc/routing/fba/fbaStock/fbaList?access_token=value&timestamp=value&sign=value&app_key=value'
--header 'Content-Type: application/json' 
--data '{
    "sid": "1,136,139",
    "offset": 0,
    "length": 20
}'

请求示例

{
    "sid": "1,136,139",
    "offset": 0,
    "length": 20
}

返回结果

Json Object

codeinteger必填
状态码,0 成功
示例 0
messagestring必填
消息提示
示例 success
error_detailsarray<any>必填
错误信息
request_idstring必填
请求链路id
示例 80B5BD25-FD74-62D2-84C1-75A6D838A2CB
response_timestring必填
响应时间
示例 2020-05-18 11:23:47
dataarray<object>必填
响应数据
隐藏子属性
totalinteger必填
总数
示例 697
listarray<object>必填
列表数据
隐藏子属性
wnamestring必填
仓库名称
示例 TJ-TK欧洲仓
namestring必填
仓库名称【同wname】
示例 TJ-TK欧洲仓
sidinteger必填
店铺id
示例 13
asinstring必填
ASIN
示例 B09XB4SDLK
parent_asinstring必填
父ASIN
示例 B0ABC73590
product_namestring必填
品名
示例 垒球-新品
product_imagestring必填
图片
示例 https://xxx/xxx.jPg
mskustring必填
MSKU
示例 EU-FDH-843-22
fnskustring必填
FNSKU
示例 X001JRXEP9
skustring必填
SKU
示例 8911545789
category_namestring必填
分类名称
示例 球
category_idinteger必填
分类Id
示例 7
brand_namestring必填
品牌名称
示例 ABC
brand_idinteger必填
品牌id
示例 2
stock_cost_totalnumber必填
货值
costnumber必填
库存成本
share_typeinteger必填
共享类型:
0 非共享
1 北美共享
2 欧洲共享
示例 2
afn_fulfillable_quantitystring必填
可售
示例 0
reserved_fc_transfersstring必填
待调仓
示例 0
reserved_fc_processingstring必填
调仓中
示例 0
reserved_customerordersstring必填
待发货
示例 0
total_fulfillable_quantityinteger必填
总可用库存:可售+待调仓+调仓中
【非ERP页面对应总库存】
示例 0
afn_unsellable_quantityinteger必填
不可售
示例 0
afn_inbound_working_quantityinteger必填
计划入库
示例 0
afn_inbound_shipped_quantityinteger必填
在途
示例 0
afn_inbound_receiving_quantityinteger必填
入库中
示例 0
afn_erp_real_shipped_quantityinteger必填
实际在途
示例 0
afn_researching_quantityinteger必填
调查中数量
示例 0
inv_age_0_to_30_daysstring必填
0-1个月库龄
示例 0
inv_age_31_to_60_daysstring必填
1-2个月库龄
示例 0
inv_age_61_to_90_daysstring必填
2-3个月库龄
示例 0
inv_age_0_to_90_daysstring必填
0-3个月库龄
示例 0
inv_age_91_to_180_daysstring必填
3-6个月库龄
示例 0
inv_age_181_to_270_daysstring必填
6-9个月库龄
示例 0
inv_age_271_to_330_daysstring必填
9-11个月库龄
示例 0
inv_age_331_to_365_daysstring必填
11-12个月库龄
示例 0
inv_age_271_to_365_daysstring必填
9-12个月库存
示例 0
inv_age_365_plus_daysstring必填
12个月以上库龄
示例 0
fulfillment_channel_namestring必填
配送方式
示例 FBA
afn_fulfillable_quantity_multiarray<object>必填
欧洲共享的多国店铺列表
示例 0
隐藏子属性
namestring必填
店铺名称
示例 0
quantity_for_local_fulfillmentstring必填
FBA可售数量
示例 0

返回成功示例

{
    "code": 0,
    "message": "success",
    "error_details": [],
    "request_id": "F95AD8DF-C7AB-050E-CE6D-EA69C3A3D6E9",
    "response_time": "2024-07-31 15:02:59",
    "data": {
        "total": 19,
        "list": [
            {
                "wname": "renxiao-US美国仓",
                "name": "renxiao-US美国仓",
                "asin": "B0CM3B75YP",
                "parent_asin": "B0ABC73590",
                "sid": 136,
                "msku": "CN0001",
                "fnsku": "X0040T7HJP",
                "sku": "01",
                "brand_id": 1021,
                "category_id": 1024,
                "brand_name": "蛋",
                "category_name": "王",
                "product_name": "烤红薯",
                "product_image": "https://image.distributetop.com/lingxing-erp/90128554873982976/20240523/d937bd94d48d4177ba7c1601e8ec8b54.jpg",
                "share_type": 0,
                "total_fulfillable_quantity": 0,
                "afn_fulfillable_quantity": 0,
                "afn_erp_real_shipped_quantity": 5,
                "reserved_fc_transfers": 0,
                "reserved_fc_processing": 0,
                "reserved_customerorders": 0,
                "afn_unsellable_quantity": 0,
                "afn_inbound_working_quantity": 334,
                "afn_inbound_shipped_quantity": 183,
                "afn_inbound_receiving_quantity": 0,
                "afn_researching_quantity": 0,
                "inv_age_0_to_30_days": 0,
                "inv_age_31_to_60_days": 0,
                "inv_age_61_to_90_days": 0,
                "inv_age_0_to_90_days": 0,
                "inv_age_91_to_180_days": 0,
                "inv_age_181_to_270_days": 0,
                "inv_age_271_to_330_days": 0,
                "inv_age_331_to_365_days": 0,
                "inv_age_271_to_365_days": 0,
                "inv_age_365_plus_days": 0,
                "fulfillment_channel_name": "FBA",
                "afn_fulfillable_quantity_multi": [],
                "cost": "184830.00",
                "stock_cost_total": 184830
            }
        ]
    },
    "total": 0
}

附加说明

  1. 唯一键:sid+msku 组合